> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aseed.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get History

> Get message history for an agent thread.

Path params:
- thread_id: Thread ID

Returns:
- Ordered list of thread messages



## OpenAPI

````yaml /api-reference/openapi-filtered.json get /agent/threads/{thread_id}/history
openapi: 3.1.0
info:
  title: Aseed Insight API
  version: 0.1.0
servers:
  - url: https://app.aseed.ai/custdev
security: []
tags:
  - name: insight
    description: 'Core insight endpoints: records, transcripts, generation, and chat.'
    x-displayName: Insight
  - name: insight_public
    description: Public insight endpoints for shared/public access.
    x-displayName: Insight Public
  - name: projects
    description: Project management endpoints.
    x-displayName: Projects
  - name: project_reports
    description: Project report generation and management endpoints.
    x-displayName: Project Reports
  - name: project_reports_public
    description: Public project report endpoints.
    x-displayName: Project Reports Public
  - name: prompts
    description: Custom prompts management endpoints.
    x-displayName: Prompts
  - name: presets
    description: Presets and templates endpoints.
    x-displayName: Presets
  - name: agent
    description: AI agent threads and chat endpoints.
    x-displayName: Agent
  - name: interviews
    description: AI interviewer room and session endpoints.
    x-displayName: Interviews
  - name: webhooks
    description: Incoming webhook endpoints.
    x-displayName: Webhooks
paths:
  /agent/threads/{thread_id}/history:
    get:
      tags:
        - agent
      summary: Get History
      description: |-
        Get message history for an agent thread.

        Path params:
        - thread_id: Thread ID

        Returns:
        - Ordered list of thread messages
      operationId: get_history_agent_threads__thread_id__history_get
      parameters:
        - name: thread_id
          in: path
          required: true
          schema:
            type: string
            title: Thread Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AgentMessageDTO'
                title: Response Get History Agent Threads  Thread Id  History Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AgentMessageDTO:
      properties:
        id:
          type: string
          title: Id
        thread_id:
          type: string
          title: Thread Id
        message_type:
          type: string
          enum:
            - user
            - assistant
          title: Message Type
        content:
          type: string
          title: Content
        parts:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Parts
        llm_model:
          anyOf:
            - type: string
              enum:
                - fast
                - thinking
            - type: 'null'
          title: Llm Model
        mode:
          anyOf:
            - type: string
              enum:
                - normal
                - interview_guide
                - research_context
                - documentation
            - type: 'null'
          title: Mode
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
      type: object
      required:
        - id
        - thread_id
        - message_type
        - content
      title: AgentMessageDTO
      description: Data transfer object for an agent message.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````